Search
K
FGA-Service

Search for users who have specific access to a particular queue for a carrier

Search for users who have specific access to a particular queue for a carrier

post
https://qa.api.zinnia.io/fga/v1/search-users

Body

application/json

SearchUsersRequest

carrierstringrequired

carrier name

Example:sbul

queuestringrequired

queue name

Example:new_business

accessstringrequired

access level

Allowed values:viewerprocessoradmin

Example:viewer

Response

200 application/json

Successfully retrieved ops users

SearchUsersResponse

usersarray[object]required

Example:[{"email":"example@example.com","firstName":"John","lastName":"Doe","id":"1234567890"}]

Show Child Parameters
post/fga/v1/search-users

Body

{ "carrier": "sbul", "queue": "new_business", "access": "viewer" }
 
200 application/json

Upsert a case

Synchronize a case’s authorization data

put
https://qa.api.zinnia.io/fga/v1/resources/cases/{caseId}

Path Parameters

caseIdstringrequired

Body

application/json

UpsertCaseDto

policyobject

Policy information

Show Child Parameters
carrierCodestring

Carrier code

Example:prud

salesEntitiesarray[object]

Sales entities associated with the case

Show Child Parameters
caseTypeGroupstring

Case type group classification

Example:claims

Response

200 application/json

Case authorization data set

UpsertCaseResponse

writtenarray[object]required

List of tuples that were written

Show Child Parameters
deletedarray[object]required

List of tuples that were deleted

Show Child Parameters
put/fga/v1/resources/cases/{caseId}

Body

{}
 
200 application/json

Cleanup terminated selling code access

Remove upline roles and hierarchy relationships for a terminated selling code.

post
https://qa.api.zinnia.io/fga/v1/upline-cleanup

Body

application/json

UplineCleanupRequest

carrierstringrequired

Carrier code used in salesentity/role tuple keys

Example:fnwl

sellingCodestringrequired

Selling code that has been terminated

Example:123456

terminationDatestringrequired

Termination date for the selling code (ISO 8601 date string)

Example:2026-04-01

Response

200 application/json

UplineCleanupResponse

tuplesDeletedarray[object]required
Show Child Parameters
post/fga/v1/upline-cleanup

Body

{ "carrier": "fnwl", "sellingCode": "123456", "terminationDate": "2026-04-01" }
 
200 application/json

Assertion

object
userstringrequired

party reference Id prefixed with party, so 495f40f49d8f415fa59e99716d59f6e9 is party:495f40f49d8f415fa59e99716d59f6e9

Example:party:495f40f49d8f415fa59e99716d59f6e9

relationstringrequired

the permission or relation for the resource, usually described by access + _ + resource example: read_policy

Example:read_policy

objectstringrequired

specific resource, prepended with the type so policy 1234 is policy:1234

Example:policy:1234

expectationbooleanrequired

expectation of assertion, true or false

Example:true

Example

ReadAssertionsResponse

object
assertionsarray[object]required
Show Child Parameters
Example